import javax.microedition.midlet.MIDlet;
import javax.microedition.lcdui.*;
import java.io.*;
//import java.util.*;

/**
 * MIDletAlert
 * Um form simples
 */
public class MIDletAlert extends MIDlet implements CommandListener {

	/**
	 * O gestor do ecr.
	 */
	private Display display;

	/**
	 * O ecr inicial.
	 */
	private TextBox caixaTexto;
	/**
	 * O nosso alerta.
	 */
	/**/private Alert alerta;/**/

	/**
	 * O comando para sair da aplicao.
	 */
	private Command cmdSair;

	/**
	 * O comando para iniciar o alerta.
	 */
	private Command cmdAlerta;

	/**
	 * Os comandos do alerta: Ok, Cancel.
	 */
	/**/private Command cmdOk, cmdCancel;/**/


    public MIDletAlert() {
 		display = Display.getDisplay(this);

		/* vamos contruir o comando para sair da aplicao		*/
		cmdSair = new Command("Sair", Command.EXIT, 2);
		cmdAlerta = new Command("Alerta", Command.SCREEN, 1);

		cmdOk = new Command("OK", Command.SCREEN, 1);
		cmdCancel = new Command("Cancelar", Command.SCREEN, 1);

		caixaTexto = new TextBox("Exemplo Alerta", "Active o comando Alerta para comear",100, TextField.ANY);
		caixaTexto.addCommand(cmdSair);
		caixaTexto.addCommand(cmdAlerta);
		caixaTexto.setCommandListener(this);


		/* vamos construir o nosso alerta			*/
		/**/alerta = new Alert("Alerta Vermelho!");
		alerta.setTimeout(3000);
		alerta.addCommand(cmdOk);
		alerta.addCommand(cmdCancel);
		alerta.setCommandListener(this);/**/
    }

    public void startApp() {
      	display.setCurrent(caixaTexto);
    }

    public void pauseApp() {
    }

    public void destroyApp(boolean unconditional) {
    }

	/**
	 * O mtodo definido pelo CommandListener.
	 */
	public void commandAction(Command c, Displayable d) {
		if (c == cmdSair) {
			notifyDestroyed();
		} else if (c == cmdAlerta) {
			display.setCurrent(alerta);
		/**/} else if (c == cmdOk) {
			System.out.println("Alerta: Ok");
			display.setCurrent(caixaTexto);
		} else if (c == cmdCancel) {
			System.out.println("Alerta: Cancel");
			display.setCurrent(caixaTexto);
		}/**/
	}


}